/*****************

+------------------+
| header           |
+------------------+
|     | toolbar    |
+-----+------------+
|side |            |
|bar  |  content   |
|     |            |
|     |            |
|     |            |
+-----+------------+
| footer           |
+------------------+

%body
  %header
  %middle
    %sidebar
      .toolbar
    %main
      .toolbar
      .content
  %footer
*******************/

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

middle {
  display: flex;
  flex-direction: row;
  flex-grow: 1; // fill the full height of the window

  sidebar {
    width: $sidebar-max-width;
    min-width: $sidebar-max-width;
    max-width: $sidebar-max-width;
    @include media-breakpoint-down(md) {
      min-width: $sidebar-min-width;
      max-width: $sidebar-min-width;
      .nav-link span {display: none;} // hide sidebar text
      .section {opacity: 0;}
    }
  }

  main {
    flex-grow: 1;
    background: var(--content-bg);
  }
}

middle > main > .content {
  padding: $grid-gutter-width/2;
}

header {
  .header-image {
    height: $header-max-height;
  }
  @include media-breakpoint-down(lg) {
    .header-image {
      height: $header-mid-height;
    }
  }
  @include media-breakpoint-down(sm) {
    .header-image {
      height: $header-min-height;
    }
  }
}

footer {
  min-height: 50px;
}

.toolbar {
  min-height: $toolbar-height;
}

sidebar .toolbar {
  background-color: $toolbar-bg-dark;
}

main .toolbar {
  background-color: $toolbar-bg-light;
}